<?php
// Virtualbox dev
//require_once '/opt/symfony-1.2.8/lib/autoload/sfCoreAutoload.class.php';
// Gothbook dev
putenv("PATH=/opt/local/bin:/usr/bin:/bin:/usr/sbin:/sbin");



define('SF_ENVIRONMENT', 'dev');
require_once dirname(__FILE__).'/../lib/vendor/symfony/lib/autoload/sfCoreAutoload.class.php';
sfCoreAutoload::register();

class ProjectConfiguration extends sfProjectConfiguration
{
  public function setup()
	{
	  	$this->enableAllPluginsExcept(array('sfPropelPlugin', 'sfCompat10Plugin'));
	}

  public function configureDoctrineConnection(Doctrine_Connection $conn) {
    if (sfContext::hasInstance()) {
      $conn->addRecordListener(new ThdDoctrineListener());
    }
  }
}
